#ifndef ARGS_H
#define ARGS_H

#include <stdbool.h>
#include <stdint.h>

#define MAX_USERS 10

struct users {
    char * name;
    char * pass;
};

struct socks5args {
    char * socks_addr;
    unsigned short socks_port;
    char * mng_addr;
    unsigned short mng_port;

    bool disectors_enabled;

    int nusers;

    struct users users[MAX_USERS];
};

void parse_args(int argc, char ** argv, struct socks5args * args);

#endif

